Bug 150210 - [PATCH] x11/xlockmore: missing dependency on print/freetype2
Summary: [PATCH] x11/xlockmore: missing dependency on print/freetype2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-02 01:40 UTC by leres
Modified: 2010-09-03 09:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2010-09-02 01:40:02 UTC
	xlockmore is missing a dependency on freetype2

Fix: Add a package dependency on freetype2 (see attached patch).



-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkx+8gMACgkQWxlAhAje3Jt9UgCcC6E37Nadxa/CpGty5S3+gK+i
kOUAnRreaEtWEEw80To6nAM22nBpe1fc
=o/3C
-----END PGP SIGNATURE-----

--------------000901040901090602090800
Content-Type: text/plain;
 name="patch-Makefile.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-Makefile.txt"



--------------000901040901090602090800
Content-Type: application/octet-stream;
 name="patch-Makefile.txt.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-Makefile.txt.sig"

iEYEABECAAYFAkx+8gMACgkQWxlAhAje3JusJQCgi2IGBlLAB4MU5Ek54d+qpb91yE0AnidJ
ADJ26PXB6cJf1cX7OoupO2ws
--------------000901040901090602090800----POMTH4WajHFOkk5zYnU3ulivDRTUrfCF1cKATz8oaZWc308Y
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.virgin	2010-06-26 04:28:02.000000000 -0700
+++ Makefile	2010-09-01 17:33:52.000000000 -0700
@@ -7,6 +7,7 @@
 
 PORTNAME=	xlockmore
 PORTVERSION=	5.31
+PORTREVISION=	1
 CATEGORIES?=	x11
 MASTER_SITES=	ftp://ibiblio.org/pub/Linux/X11/screensavers/ \
 		http://www.tux.org/~bagleyd/xlock/${PORTNAME}-${PORTVERSION}/ \
@@ -32,6 +33,8 @@
 USE_GNOME=	#
 USE_XORG=	x11 xaw ice
 
+LIB_DEPENDS+= freetype:${PORTSDIR}/print/freetype2
+
 MAN1=		xlock.1
 PLIST_FILES=	bin/xlock lib/X11/app-defaults/XLock
 
How-To-Repeat:     # pkg_info | egrep 'xlockmore|freetype2'
    freetype2-2.4.2     A free and portable TrueType font rendering engine
    xlockmore-5.31      Like XLock session locker/screen saver, but just
more
    # ldd /usr/local/bin/xlock | grep freetype
	    libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x800a0a000)
    # pkg_delete -f freetype2-2.4.2
    [...]
    # ldd /usr/local/bin/xlock | grep freetype
	    libfreetype.so.9 => not found (0x0)
Comment 1 Edwin Groothuis freebsd_committer 2010-09-02 01:40:10 UTC
Maintainer of x11/xlockmore,

Please note that PR ports/150210 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150210

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-02 01:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 marius 2010-09-02 16:36:51 UTC
I approve this patch.
Comment 4 Baptiste Daroussin freebsd_committer 2010-09-03 09:00:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 5 dfilter freebsd_committer 2010-09-03 09:05:41 UTC
bapt        2010-09-03 08:05:32 UTC

  FreeBSD ports repository

  Modified files:
    x11/xlockmore        Makefile 
  Log:
  - Add missing dependency on freetype2[1]
  - While here make portlint happy
  
  PR:             ports/150210 [1]
  Submitted by:   Craig Leres <leres _at_ ee.lbl.gov> [1]
  Approved by:    Marius Nuennerich <marius _at_ nuenneri.ch> (maintainer) [1]
  
  Revision  Changes    Path
  1.123     +4 -2      ports/x11/xlockmore/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Baptiste Daroussin freebsd_committer 2010-09-03 09:05:54 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!